
label summon_susan:

    $ active_girl = "susan"
    $ last_character = "susan"

    $ susan_busy = True

    call update_susan

    call play_music("susan")
    call play_sound("door")

    call sus_chibi("stand","mid","base")
    with d3

    sus "You wanted to see me, [sus_genie_name]?" ("base", "base", "worried", "down",xpos="base",ypos="base")

    label susan_requests:

    sus "" (xpos="base", ypos="base")

    menu:

        # Talk
        "-Talk-" (icon="interface/icons/small/talk.webp"):
            if sus_mood > 0:
                sus "I'm sorry, [sus_genie_name], but I don't want to talk right now." ("base", "base", "base", "down")
                jump susan_requests

            call susan_chitchat
            jump susan_talk

        "-Sexual favours-" (icon="interface/icons/small/condom.webp", style="disabled") if False:
            $ TBA_message()
            jump susan_requests

        # Wardrobe
        "-Wardrobe-" (icon="interface/icons/small/wardrobe.webp") if susan_wardrobe_unlocked:
            hide susan_main with d1
            call wardrobe
            jump susan_requests

        "-Hidden-" (style="disabled") if not susan_wardrobe_unlocked:
            call nar(">You haven't unlocked this feature yet.")
            jump susan_requests

        "-Give Item-" (icon="interface/icons/small/gift.webp"):
            $ TBA_message()
            jump susan_requests

            # hide susan_main with d1
            # call gift_menu
            # jump susan_requests


        # Dismiss
        "-Dismiss her-":
            if game.daytime:
                sus "I will go back to classes then, [sus_genie_name]." ("base", "base", "base", "down")
            else:
                sus "*Ehm*... good night then, [sus_genie_name]." ("base", "base", "base", "down")

            call play_sound("door")

            jump end_susan_event



label susan_talk:
    menu:
        #"--":
        "-Address me only as-":
            menu:
                "-Sir-":
                    $ sus_genie_name = "Sir"
                    sus "Very well, [sus_genie_name]." ("base", "base", "base", "mid")
                    jump susan_talk
                "-Dumbledore-":
                    $ sus_genie_name = "Dumbledore"
                    sus "Okay, [sus_genie_name]." ("base", "base", "worried", "down")
                    jump susan_talk
                "-Professor-":
                    $ sus_genie_name = "Professor"
                    sus "Of course, [sus_genie_name]." ("base", "base", "base", "R")
                    jump susan_talk
                "-Old man-":
                    $ sus_genie_name = "Old man"
                    sus "That wouldn't be very polite, Professor." ("open", "closed", "base", "mid")
                    gen "Don't worry, [susan_name]. I always tell my students to call me silly names." ("base", xpos="far_left", ypos="head")
                    gen "It helps bonding with them!" ("grin", xpos="far_left", ypos="head")
                    sus "If you say so... *Ehm*, [sus_genie_name]." ("base", "base", "base", "mid")
                    gen "And soon I'm going to bond with your tits!" ("angry", xpos="far_left", ypos="head")
                    jump susan_talk
                "-Genie-":
                    $ sus_genie_name = "Genie"
                    sus "I... *Ehm*--" ("upset", "base", "base", "L")
                    sus "Is that something people call you?" ("upset", "narrow", "worried", "mid")
                    gen "Yes-yes--, everybody!" ("base", xpos="far_left", ypos="head")
                    gen "It's perfectly normal!" ("base", xpos="far_left", ypos="head")
                    sus "(...)" ("upset", "base", "worried", "down")
                    sus "O-- Okay then... [sus_genie_name]." ("base", "base", "worried", "R")
                    jump susan_talk
                "-Lord Voldemort-":
                    $ sus_genie_name = "Lord Voldemort"
                    sus "Why would you want me to call you that?" ("open", "closed", "worried", "mid")
                    sus "We aren't supposed to mention his name!" ("open", "narrow", "worried", "down")
                    gen "It's only a name, girl..." ("base", xpos="far_left", ypos="head")
                    sus "It's the name of, you-know-who!" ("upset", "closed", "worried", "mid")
                    sus "That name really creeps me out, Professor!" ("open", "closed", "worried", "mid")
                    gen "I don't want my students to be scared of a name, Susan! It's practice." ("base", xpos="far_left", ypos="head")
                    gen "Come on... say it." ("base", xpos="far_left", ypos="head")
                    sus "Okay..." ("open", "narrow", "worried", "down")
                    sus "V-Voldemort..." ("upset", "closed", "worried", "mid")
                    jump susan_talk
                "-Daddy-":
                    $ sus_genie_name = "Daddy"
                    sus "Sir, no!" ("scream", "closed", "worried", "mid")
                    sus "I can't possibly call you that!" ("scream", "wide", "angry", "wide")
                    gen "But I want you to." ("base", xpos="far_left", ypos="head")
                    gen "There's no harm in calling me Daddy." ("grin", xpos="far_left", ypos="head")
                    sus "But that's!--" ("open", "narrow", "angry", "mid")
                    sus "(This is wrong, Susan!)" ("upset", "narrow", "worried", "down")
                    sus "Alright... Professor-- *Eeeeh*... D-Daddy." ("base", "closed", "worried", "mid")
                    jump susan_talk
                "-Master-":
                    $ sus_genie_name = "Master"
                    sus "M--{w=0.2} Master?" ("upset", "narrow", "base", "mid")
                    sus "I don't think I should call my teachers that." ("open", "closed", "worried", "mid")
                    gen "No-no--, that's what you call your teachers nowadays!" ("base", xpos="far_left", ypos="head")
                    gen "But only call me that!" ("base", xpos="far_left", ypos="head")
                    sus "*Ehm*... Very well, [sus_genie_name]." ("upset", "narrow", "worried", "R")
                    jump susan_talk
                "-Custom Input-":
                    $ temp_name = renpy.input("(Please enter the name.)", sus_genie_name, ALLOWED_CHARACTERS, length=14)
                    $ temp_name = temp_name.strip()
                    if temp_name == "":
                        jump susan_talk
                    else:
                        $ sus_genie_name = temp_name
                        sus "*Ehm*... Okay. I will call you [sus_genie_name]." ("upset", "narrow", "base", "L")
                    jump susan_talk
                "-Never mind-":
                    jump susan_requests


        "-From now on I will refer to you as-":
            menu:
                "-Miss Bones-":
                    $ susan_name = "Miss Bones"
                    sus "Of course, [sus_genie_name]." ("base", "base", "base", "mid")
                    jump susan_talk
                "-Susan-":
                    $ susan_name = "Susan"
                    sus "Of course, [sus_genie_name]." ("base", "base", "base", "mid")
                    jump susan_talk
                "-Girl-":
                    $ susan_name = "Girl"
                    sus "I'm okay with that, [sus_genie_name]." ("base", "base", "worried", "R")
                    jump susan_talk
                "-Cow-":
                    $ susan_name = "Cow"
                    sus "Why would you want to call me that, [sus_genie_name]?" ("upset", "narrow", "worried", "down")
                    sus "The other girls already call me that and I hate it..." ("open", "base", "worried", "down")
                    gen "You poor thing!" ("base", xpos="far_left", ypos="head")
                    gen "You see, if someone like me would call you that, maybe it wouldn't affect you as much." ("base", xpos="far_left", ypos="head")
                    sus "I--... You might be right." ("upset", "narrow", "base", "down")
                    sus "You can call me a Cow, [sus_genie_name]." ("base", "base", "base", "mid")
                    jump susan_talk
                "-Betsy-":
                    $ susan_name = "Betsy"
                    sus "But, sir... Isn't that... You know..." ("upset", "narrow", "worried", "down")
                    gen "You know... What?" ("base", xpos="far_left", ypos="head")
                    sus "Isn't that a name you'd give to a-- A cow?" ("upset", "narrow", "base", "down")
                    gen "Oh, is it?" ("base", xpos="far_left", ypos="head")
                    sus "*Ehm*... Yes, I think so at least..." ("upset", "narrow", "base", "mid")
                    sus "Some of the other girls shouted it at me before..." ("upset", "narrow", "base", "mid")
                    gen "That's a shame... I thought you'd like it..." ("base", xpos="far_left", ypos="head")
                    sus "Oh, Well... I suppose as long as it's not ill meaning..." ("base", "base", "base", "mid")
                    gen "Of course not!" ("base", xpos="far_left", ypos="head")
                    sus "Alright then, you can call me that if you like..." ("base", "base", "base", "mid")
                    jump susan_talk
                "-Slut-":
                    $ susan_name = "Slut"
                    sus "[sus_genie_name]!" ("scream", "closed", "angry", "R")
                    sus "You can't be serious!" ("scream", "wide", "base", "wide")
                    gen "Why not. Nobody has to know..." ("base", xpos="far_left", ypos="head")
                    sus "How could you even think of me like that!" ("open", "base", "worried", "down")
                    sus "I'm not a... slut." ("upset", "narrow", "worried", "R")
                    gen "Of course not. This is just to strengthen your self-esteem." ("base", xpos="far_left", ypos="head")
                    gen "Trust me, I know what I'm doing." ("base", xpos="far_left", ypos="head")
                    gen "Being called a slut always boosts a girls confidence!" ("base", xpos="far_left", ypos="head")
                    sus "R-- Really?" ("open", "base", "base", "mid")
                    gen "Yes. Now... shall we try it?" ("base", xpos="far_left", ypos="head")
                    sus "... alright, [sus_genie_name]..." ("upset", "narrow", "worried", "R")
                    jump susan_talk
                "-Custom Input-":
                    $ temp_name = renpy.input("(Please enter the name.)", susan_name, ALLOWED_CHARACTERS, length=14)
                    $ temp_name = temp_name.strip()
                    if temp_name == "":
                        jump susan_talk
                    else:
                        $ susan_name = temp_name
                        sus "I don't like it, but--" ("open", "closed", "worried", "mid")
                        sus "Promise you'll only call me that when we are alone." ("upset", "base", "worried", "mid")
                        gen "Promised!" ("grin", xpos="far_left", ypos="head")
                    jump susan_talk
                "-Never mind-":
                    jump susan_talk


        "-Never mind-":
            jump susan_requests
